.menu {
}

.menu-button {
  font-size: 2em;
  user-select: none;
  cursor: pointer;
}

.menu-header {
  font-size: 2em;
  user-select: none;
}

.level-header {
  font-size: 2em;
}

.column {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.row {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.fixed {
  justify-content: space-evenly;
}

.fixed > span {
  float: left;
}

.nav-menu {
  position: absolute;
  top: 1em;
  left: 1em;
}

.tile-icon > div {
  width: 100%;
  height: 100%;
}

.tile-icon > div > div {
  width: 100%;
  height: 100%;
}

.audio-controls {
  position: fixed;
  left: 0px;
  bottom: 0px;
  padding: 1em;
}

.audio-buttons {
  justify-content: space-evenly;
  width: 100%;
}

.audio-button {
  user-select: none;
  cursor: pointer;
  font-size: 30px;
  margin: 1px;
}

.audio-button:hover {
  filter: drop-shadow(0px 0px 5px black);
}

.audio-button:active {
  filter: drop-shadow(0px 0px 10px black);
  color: #333333;
}

#bank {
  display: flex;
  height: 20%;
  min-height: 150px;
  width: 80%;
  flex-direction: row;
  align-items: center;
  align-content: center;
  justify-content: center;
  flex-wrap: wrap;
}

#typer {
  min-height: 45px;
}

.word-log {
  padding-top: 20px;
}

.word {
  float: left;
  height: 30px;
  font-size: 25px;
  text-align: center;
  border: 1px solid black;
  border-radius: 5px;
  filter: drop-shadow(3px 3px black);
  padding: 2px 8px 2px 8px;
  margin-bottom: 8px;
  background-color: #eeeeee;
}

#return-button {
  cursor: pointer;
  user-select: none;
  color: black;
  font-size: 30px;
}


.progress-counter {
  float: left;
  margin-right: 3em;
  font-size: 30px;
}

.dummy-tile {
  float: left;
  width: 36px;
  height: 30px;
  font-size: 25px;
  text-align: center;
  /* border: 1px solid transparent; */
  /* border-radius: 5px; */
  /* filter: drop-shadow(3px 3px transparent); */
  /* padding: 2px; */
  margin-right: 8px;
  /* background-color: #eeeeee; */
}

@keyframes tween-in {
  0% {
    transform: translateX(5000px);
    width: 0px;
    margin-right: 0px;
  }
  
  100% {
    transform: translateX(0);
    width: 30px;
    margin-right: 8px;
  }
}

.tween-in {
  animation: 1s cubic-bezier(1.0, 0, 0, 1.0) 0s 1 tween-in;
}

.tile {
  user-select: none;
  cursor: pointer;
  float: left;
  width: 30px;
  height: 30px;
  font-size: 25px;
  text-align: center;
  border: 1px solid black;
  border-radius: 5px;
  filter: drop-shadow(3px 3px black);
  padding: 2px;
  margin-right: 8px;
  margin-bottom: 8px;
  background-color: #eeeeee;
}

.cool {
  overflow: hidden;
}

.cool > div {
  position: relative;
  left: -50%;
  top: -50%;
  height: 200%;
  width: 200%;
  background-color: #14c2cc;
  background-image: radial-gradient(circle farthest-side at top right, transparent, #0d64ff),
    radial-gradient(ellipse farthest-corner at 0% 100%, transparent, #ff00a0);
  animation: bg-change 10s infinite;
}

@keyframes bg-change {
  0% {
    filter: hue-rotate(0deg);
  }
  50% {
    filter: hue-rotate(180deg);
  }
  100% {
    filter: hue-rotate(360deg);
  }
}

.highlight-tile {
  animation: highlight-tile-pink 2s infinite linear;
}

@keyframes highlight-tile-pink {
  0% {
    box-shadow: 0px 0px 0px 2px pink;
  }
  50% {
    box-shadow: 0px 0px 0px 5px red;
  }
  100% {
    box-shadow: 0px 0px 0px 2px pink;
  }
}

.highlight-text {
  animation: highlight-text-pink 2s infinite linear;
}

@keyframes highlight-text-pink {
  0% {
    text-shadow: 0px 0px 2px pink;
  }
  50% {
    text-shadow: 0px 0px 5px red;
  }
  100% {
    text-shadow: 0px 0px 2px pink;
  }
}

.highlight-img {
  border-radius: 50%;
  animation: highlight-img-pink 2s infinite linear;
  color: rgba(255, 0, 0, 0.5);
}

@keyframes highlight-img-pink {
  0% {
  }
  50% {
    filter: drop-shadow(-1px -1px 2px ) drop-shadow(2px -1px 2px ) drop-shadow(-1px 2px 2px ) drop-shadow(2px 2px 2px);
  }
  100% {
  }
}


.hiddenInput{
  height: 0px;
  min-height: 0px;
  max-height: 0px;
  margin-top: -500px;
  position: absolute;
}

.beaten {
  background-color: orange;
}

.bested {
  background-color: green;
}

.tile-icon {
  user-select: none;
  cursor: pointer;
  /* font-weight: 600; */
  font-size: 12px;
  /*margin-bottom: 0px;*/
  background-color: #eeeeee;
}

p {
  margin: 2px;
}

.tile:hover {
  filter:drop-shadow(3px 3px black) brightness(80%);
}

.tile:active {
  position: relative;
  top: 1px;
  left: 1px;
  filter: drop-shadow(2px 2px black) brightness(70%);
}

.tile-restart {
  user-select: none;
  cursor: pointer;
}

.tile-delete {
  margin-top: 20px;
  user-select: none;
  cursor: pointer;
}

.tile-restart > div {
  line-height: 27px;
  width: 100%;
  height: 100%;
}

.level-text {
  min-height: 50px;
  display: flex;
  flex-direction: row;
  align-items: center;
  align-content: center;
  justify-content: center;
  flex-wrap: wrap;
  width: 80%;
}

.disabled {
  pointer-events: none;
  background-color: #888888;
}

.taken {
  background-color: darkgrey;
}

.loading-container-outer {
  position: absolute;
  top:0;
    bottom: 0;
    left: 0;
    right: 0;
  margin: auto;
}

.loading-container-inner {
  position: relative;
  text-align: center;
  margin: auto;
}

.loading-text {
  font-size: xx-large;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.loading-icon{
  width: 200px;
  height: 200px;
  filter: invert(48%) sepia(0%) saturate(2%) hue-rotate(146deg) brightness(96%) contrast(81%);
  animation: spin 1s linear infinite;
}

.cursor {
  float: left;
  width: 2px;
  margin-right: 3px;
  height: 40px;
  background-color: black;
}

.blink {
  animation: blink-animation 0.8s steps(5, start) infinite;
}
@keyframes blink-animation {
  to {
    visibility: hidden;
  }
}

#gameboard {
  max-width: 800px;
  width: 80%;
}

.bank {
  max-width: 450px;
}

body {
  overflow-x: hidden;
  background-color: whitesmoke;
}

.keyboard-focus {
  display: none;
  height: 30px;
}

.mobile-only{
  display: none;
}

#loaded {
  width: 100%;
}


@media screen and (max-width: 650px) {
  .keyboard-focus {
    display: block;
    height: 30px;
  }
 
  .mobile-only{
  display:block;
}

  .nav-menu {
    position: relative;
    flex-direction: row;
    margin-bottom: 20px;
    top: 0px;
    left: 0px;
  }

  #bank {
    width: 95%;
  }

  .audio-controls {
    position: static;
    order: 100;
  }

  .tile-delete {
    margin-left: 20px;
    margin-top: 0px;
  }

  body {
    justify-content: space-between;
    height: 100%;
  }

  .word-log {
    padding-bottom: 100px;
  }
}

@keyframes spin { 
  from { 
      transform: rotate(0deg); 
  } to { 
      transform: rotate(360deg); 
  }
}